;fix rotated/upside-down dimensions (by J.Burke)
;
(defun c:FixDimensions ( / idx cnt twist ss obj txtpos)
  (vl-load-com)
  (setq idx 0
        cnt 0
        twist (getvar "VIEWTWIST")
  )
  (if (setq ss (ssget
        (list '(0 . "DIMENSION") (cons 410 (getvar "ctab")))))
    (repeat (sslength ss)
      (setq obj (vlax-ename->vla-object (ssname ss idx))
            txtpos (vlax-get obj 'TextPosition)
      )
      (vlax-put obj 'Rotation twist)
      (if (not (equal txtpos (vlax-get obj 'TextPosition) 1e-2))
        (setq cnt (1+ cnt))
      )
      (setq idx (1+ idx))
    )
  )
  (princ (strcat "\nNumber of dimensions modified: " (itoa cnt)))
  (princ)
) ;end
 
;shortcut
(defun c:FD () (c:FixDimensions))
